Page MenuHomePhabricator

Store absolute path for lldb executable in dotest.py
ClosedPublic

Authored by fjricci on Apr 13 2016, 4:27 PM.

Details

Summary

lldb-server tests are currently being skipped on the
check-lldb target. This is because we get the path of
lldb-server by modifying the path to the lldb executable.
However, by this point, we've changed directories, and a
relative path to the build/bin directory will no longer point
to the location of lldb-server.

Storing an absolute path solves this issue.

Diff Detail

Repository
rL LLVM

Event Timeline

fjricci updated this revision to Diff 53637.Apr 13 2016, 4:27 PM
fjricci retitled this revision from to Store absolute path for lldb executable in dotest.py.
fjricci updated this object.
fjricci added reviewers: vharron, zturner, tfiala.
fjricci added subscribers: sas, lldb-commits.
labath accepted this revision.Apr 14 2016, 2:22 AM
labath added a reviewer: labath.
labath added a subscriber: labath.

Not sure what is the difference, but my check-lldb target has already the full path in it. Sounds like a good idea nonetheless.

This revision is now accepted and ready to land.Apr 14 2016, 2:22 AM
This revision was automatically updated to reflect the committed changes.
tfiala edited edge metadata.Apr 25 2016, 2:24 PM

Didn't get to it in time, but yes this looks fine.